<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XTvsCertificateService StructType
 * @subpackage Structs
 */
class XTvsCertificateService extends AbstractStructBase
{
    /**
     * The serviceName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $serviceName;
    /**
     * Constructor method for XTvsCertificateService
     * @uses XTvsCertificateService::setServiceName()
     * @param string $serviceName
     */
    public function __construct($serviceName = null)
    {
        $this
            ->setServiceName($serviceName);
    }
    /**
     * Get serviceName value
     * @return string|null
     */
    public function getServiceName()
    {
        return $this->serviceName;
    }
    /**
     * Set serviceName value
     * @param string $serviceName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XTvsCertificateService
     */
    public function setServiceName($serviceName = null)
    {
        $this->serviceName = $serviceName;
        return $this;
    }
}
